Bug 329911 - microcode_ctl instscript needs to move to be event driven instead of polling
microcode_ctl instscript needs to move to be event driven instead of polling
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: microcode_ctl (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks: 330341
  Show dependency treegraph
 
Reported: 2007-10-12 15:10 EDT by Dave Jones
Modified: 2015-01-04 17:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:19:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2007-10-12 15:10:23 EDT
We do this in /etc/init.d/microcode_ctl ..

        while [ ! -c $DEVICE ]; do
                lt=$[lt+1];
                [ $lt -gt 5 ] && break;
                sleep 1;
        done

which is pretty silly.  We're waiting for udev to create the /dev/ node.
We could just quit the script after doing the modprobe, and have a separate
script that udev runs upon creation of the device to do the actual microcode
loading.

The loop above polls for up to 5 seconds.  I picked this number because we
actually had reports from RHEL customers that for some reason it took udev up to
5 seconds to create the dev node.  Udev may have been sped up since rhel5, but
even if it hasn't moving all this to be event driven will speed up the boot
process anywhere between 1-5 seconds.
Comment 1 Jon Masters 2007-10-12 21:39:51 EDT
Thanks Dave. I'm getting a new rawhide box setup over the weekend and will then
fix this "bug"...it's certainly not the last time we need to move over to event
driven initscripts ;-)

Jon.
Comment 2 Bug Zapper 2008-04-04 10:04:15 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-11-26 02:58:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 02:19:06 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.